#include <bits/stdc++.h>
using namespace std;

void resenje(string num)
{
    int max = -1, idex = -1, l = -1, d = -1;

    for (int i = num.size() - 1; i >= 0; i--) {
        if(num[i]!=' '){
            if (num[i] > max) {
                max = num[i];
                idex = i;
            }
            if (num[i] < max) {
                l = i;
                d = idex;
            }
        }
    }
    if(l==d){
        d= num.size()-1;
        l= d-2;
    }
    swap(num[l], num[d]);
    cout << num;
}

int main()
{
    string s;
    getline(cin,s);
    getline(cin,s);
    resenje(s);
    return 0;
}